﻿using C1.WinUI.Grid;
using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Controls.Primitives;
using Microsoft.UI.Xaml.Data;
using Microsoft.UI.Xaml.Input;
using Microsoft.UI.Xaml.Media;
using Microsoft.UI.Xaml.Navigation;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;

// To learn more about WinUI, the WinUI project structure,
// and more about our project templates, see: http://aka.ms/winui-project-info.

namespace FlexGridEdit
{
    /// <summary>
    /// An empty window that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainWindow : Window
    {
        public MainWindow()
        {
            this.InitializeComponent();
            flexGrid.ItemsSource = Enumerable.Range(1, 10).Select(x => new User()
            {
                Id = x,
                Name = "Name"
            }).ToList();

        }

        private void OnPrepareCellForEdit(object sender, GridCellEditEventArgs e)
        {
            if(e.Editor is TextBox texBox)
            {
                texBox.TextWrapping = TextWrapping.Wrap;
            }
        }
    }

    public class CustomTextBox : TextBox
    {
        protected override void OnApplyTemplate()
        {
            base.OnApplyTemplate();
            var deleteButton = GetTemplateChild("DeleteButton") as Button;
            var grid = VisualTreeHelper.GetChild(this, 0) as Grid;
            grid.Children.Remove(deleteButton);
        }
    }
}
